## org.python.core
Class PyFrame

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyFrame

All Implemented Interfaces:
  java.io.Serializable

    public class PyFrame

extends PyObject

A python frame object.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`PyFrame` `f_back`
`PyObject` `f_builtins`
`PyTableCode` `f_code`
`PyCell[]` `f_env`
`PyObject[]` `f_fastlocals`
`PyObject` `f_globals`
`int` `f_lasti`
`int` `f_lineno`
`PyObject` `f_locals`
`int` `f_ncells`
`int` `f_nfreevars`
`java.lang.Object[]` `f_savedlocals`
`TraceFunction` `tracefunc`

Fields inherited from class org.python.core.PyObject
`exposed_name`

Constructor Summary
`PyFrame(PyTableCode code, PyObject globals)`
`PyFrame(PyTableCode code, PyObject locals, PyObject globals, PyObject builtins)`

Method Summary
`void` `__delattr__(java.lang.String name)` A variant of the __delattr__ method which accepts a String as the key.
`PyObject` `__dir__()` Equivalent to the standard Python __dir__ method.
`PyObject` `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`void` `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`void` `delglobal(java.lang.String index)`
`void` `dellocal(int index)`
`void` `dellocal(java.lang.String index)`
`PyObject` `getclosure(int index)`
`PyObject` `getderef(int index)`
`PyObject` `getf_locals()`
`PyObject` `getglobal(java.lang.String index)`
`int` `getline()`
`PyObject` `getlocal(int index)`
`PyObject` `getlocal(java.lang.String index)`
`PyObject` `getname(java.lang.String index)`
`void` `setderef(int index, PyObject value)`
`void` `setglobal(java.lang.String index, PyObject value)`
`void` `setline(int line)`
`void` `setlocal(int index, PyObject value)`
`void` `setlocal(java.lang.String index, PyObject value)`
`void` `to_cell(int parm_index, int env_index)`
`java.lang.String` `toString()`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asInt, asLong, asName, asString, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getDoc, getType, hashCode, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, safeRepr, setDict, setType, typeSetup`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### f_back

    public PyFrame f_back

### f_code

    public PyTableCode f_code

### f_locals

    public PyObject f_locals

### f_globals

    public PyObject f_globals

### f_lineno

    public int f_lineno

### f_builtins

    public PyObject f_builtins

### f_fastlocals

    public PyObject[] f_fastlocals

### f_env

    public PyCell[] f_env

### f_ncells

    public int f_ncells

### f_nfreevars

    public int f_nfreevars

### f_lasti

    public int f_lasti

### f_savedlocals

    public java.lang.Object[] f_savedlocals

### tracefunc

    public TraceFunction tracefunc

Constructor Detail

### PyFrame

    public PyFrame(PyTableCode code,
                   PyObject locals,
                   PyObject globals,
                   PyObject builtins)

### PyFrame

    public PyFrame(PyTableCode code,
                   PyObject globals)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PyObject`

### __dir__

    public PyObject __dir__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __dir__ method.

  Overrides:
    `__dir__` in class `PyObject`
  Returns:
    a list of names defined by this object.

### __setattr__

    public void __setattr__(java.lang.String name,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `name` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### __delattr__

    public void __delattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __delattr__ method which accepts a String as the key. This String must be interned. By default, this will call `__delattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delattr__` in class `PyObject`
  Parameters:
    `name` - the name which will be removed - must be an interned string .
  See Also:
    `PyObject.__delattr__(PyString)`

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. Warning: name must be an interned string!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### getf_locals

    public PyObject getf_locals()

### setline

    public void setline(int line)

### getline

    public int getline()

### getlocal

    public PyObject getlocal(int index)

### getlocal

    public PyObject getlocal(java.lang.String index)

### getname

    public PyObject getname(java.lang.String index)

### getglobal

    public PyObject getglobal(java.lang.String index)

### setlocal

    public void setlocal(int index,
                         PyObject value)

### setlocal

    public void setlocal(java.lang.String index,
                         PyObject value)

### setglobal

    public void setglobal(java.lang.String index,
                          PyObject value)

### dellocal

    public void dellocal(int index)

### dellocal

    public void dellocal(java.lang.String index)

### delglobal

    public void delglobal(java.lang.String index)

### getclosure

    public PyObject getclosure(int index)

### getderef

    public PyObject getderef(int index)

### setderef

    public void setderef(int index,
                         PyObject value)

### to_cell

    public void to_cell(int parm_index,
                        int env_index)

Jython homepage